Unverified Commit 43603f68 authored by dependabot[bot]'s avatar dependabot[bot] Committed by GitHub
Browse files

Bump async-trait from 0.1.50 to 0.1.51 (#3721)

Bumps [async-trait](https://github.com/dtolnay/async-trait) from 0.1.50 to 0.1.51.
- [Release notes](https://github.com/dtolnay/async-trait/releases)
- [Commits](https://github.com/dtolnay/async-trait/compare/0.1.50...0.1.51

)

---
updated-dependencies:
- dependency-name: async-trait
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: default avatardependabot[bot] <support@github.com>

Co-authored-by: default avatardependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
parent 4315bad8
Pipeline #154316 canceled with stages
in 21 minutes and 48 seconds
...@@ -339,9 +339,9 @@ checksum = "e91831deabf0d6d7ec49552e489aed63b7456a7a3c46cff62adad428110b0af0" ...@@ -339,9 +339,9 @@ checksum = "e91831deabf0d6d7ec49552e489aed63b7456a7a3c46cff62adad428110b0af0"
[[package]] [[package]]
name = "async-trait" name = "async-trait"
version = "0.1.50" version = "0.1.51"
source = "registry+https://github.com/rust-lang/crates.io-index" source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "0b98e84bbb4cbcdd97da190ba0c58a1bb0de2c1fdf67d159e192ed766aeca722" checksum = "44318e776df68115a881de9a8fd1b9e53368d7a4a5ce4cc48517da3393233a5e"
dependencies = [ dependencies = [
"proc-macro2", "proc-macro2",
"quote", "quote",
......
...@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"] ...@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018" edition = "2018"
[dependencies] [dependencies]
async-trait = "0.1.42" async-trait = "0.1.51"
futures = "0.3.15" futures = "0.3.15"
tracing = "0.1.26" tracing = "0.1.26"
......
...@@ -9,7 +9,7 @@ futures = "0.3.15" ...@@ -9,7 +9,7 @@ futures = "0.3.15"
futures-timer = "3.0.2" futures-timer = "3.0.2"
tracing = "0.1.26" tracing = "0.1.26"
thiserror = "1.0.26" thiserror = "1.0.26"
async-trait = "0.1.47" async-trait = "0.1.51"
polkadot-node-subsystem = { path = "../../subsystem" } polkadot-node-subsystem = { path = "../../subsystem" }
polkadot-primitives = { path = "../../../primitives" } polkadot-primitives = { path = "../../../primitives" }
sp-blockchain = { git = "https://github.com/paritytech/substrate", branch = "master" } sp-blockchain = { git = "https://github.com/paritytech/substrate", branch = "master" }
......
...@@ -26,4 +26,4 @@ parity-util-mem = { version = "0.10.0", default-features = false, features = ["j ...@@ -26,4 +26,4 @@ parity-util-mem = { version = "0.10.0", default-features = false, features = ["j
color-eyre = { version = "0.5.11", default-features = false } color-eyre = { version = "0.5.11", default-features = false }
assert_matches = "1.5" assert_matches = "1.5"
structopt = "0.3.21" structopt = "0.3.21"
async-trait = "0.1.50" async-trait = "0.1.51"
...@@ -6,7 +6,7 @@ edition = "2018" ...@@ -6,7 +6,7 @@ edition = "2018"
description = "Subsystem traits and message definitions" description = "Subsystem traits and message definitions"
[dependencies] [dependencies]
async-trait = "0.1.42" async-trait = "0.1.51"
futures = "0.3.15" futures = "0.3.15"
futures-timer = "3.0.2" futures-timer = "3.0.2"
......
...@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"] ...@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018" edition = "2018"
[dependencies] [dependencies]
async-trait = "0.1.42" async-trait = "0.1.51"
futures = "0.3.15" futures = "0.3.15"
tracing = "0.1.26" tracing = "0.1.26"
polkadot-primitives = { path = "../../../primitives" } polkadot-primitives = { path = "../../../primitives" }
......
...@@ -25,7 +25,7 @@ rand = "0.8.3" ...@@ -25,7 +25,7 @@ rand = "0.8.3"
lru = "0.6.6" lru = "0.6.6"
[dev-dependencies] [dev-dependencies]
async-trait = "0.1.42" async-trait = "0.1.51"
polkadot-subsystem-testhelpers = { package = "polkadot-node-subsystem-test-helpers", path = "../../subsystem-test-helpers" } polkadot-subsystem-testhelpers = { package = "polkadot-node-subsystem-test-helpers", path = "../../subsystem-test-helpers" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master", features = ["std"] } sp-core = { git = "https://github.com/paritytech/substrate", branch = "master", features = ["std"] }
sp-keyring = { git = "https://github.com/paritytech/substrate", branch = "master" } sp-keyring = { git = "https://github.com/paritytech/substrate", branch = "master" }
......
...@@ -6,7 +6,7 @@ edition = "2018" ...@@ -6,7 +6,7 @@ edition = "2018"
description = "Primitives types for the Node-side" description = "Primitives types for the Node-side"
[dependencies] [dependencies]
async-trait = "0.1.42" async-trait = "0.1.51"
polkadot-primitives = { path = "../../../primitives" } polkadot-primitives = { path = "../../../primitives" }
polkadot-node-primitives = { path = "../../primitives" } polkadot-node-primitives = { path = "../../primitives" }
polkadot-node-jaeger = { path = "../../jaeger" } polkadot-node-jaeger = { path = "../../jaeger" }
......
...@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"] ...@@ -5,7 +5,7 @@ authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018" edition = "2018"
[dependencies] [dependencies]
async-trait = "0.1.42" async-trait = "0.1.51"
client = { package = "sc-client-api", git = "https://github.com/paritytech/substrate", branch = "master" } client = { package = "sc-client-api", git = "https://github.com/paritytech/substrate", branch = "master" }
sp-api = { git = "https://github.com/paritytech/substrate", branch = "master" } sp-api = { git = "https://github.com/paritytech/substrate", branch = "master" }
futures = "0.3.15" futures = "0.3.15"
......
...@@ -67,7 +67,7 @@ serde = { version = "1.0.123", features = ["derive"] } ...@@ -67,7 +67,7 @@ serde = { version = "1.0.123", features = ["derive"] }
thiserror = "1.0.26" thiserror = "1.0.26"
kvdb = "0.10.0" kvdb = "0.10.0"
kvdb-rocksdb = { version = "0.14.0", optional = true } kvdb-rocksdb = { version = "0.14.0", optional = true }
async-trait = "0.1.42" async-trait = "0.1.51"
# Polkadot # Polkadot
polkadot-node-core-parachains-inherent = { path = "../core/parachains-inherent" } polkadot-node-core-parachains-inherent = { path = "../core/parachains-inherent" }
......
...@@ -6,7 +6,7 @@ edition = "2018" ...@@ -6,7 +6,7 @@ edition = "2018"
description = "Subsystem traits and message definitions" description = "Subsystem traits and message definitions"
[dependencies] [dependencies]
async-trait = "0.1.42" async-trait = "0.1.51"
futures = "0.3.15" futures = "0.3.15"
futures-timer = "3.0.2" futures-timer = "3.0.2"
tracing = "0.1.26" tracing = "0.1.26"
......
...@@ -7,7 +7,7 @@ description = "Subsystem traits and message definitions" ...@@ -7,7 +7,7 @@ description = "Subsystem traits and message definitions"
[dependencies] [dependencies]
async-std = "1.8.0" async-std = "1.8.0"
async-trait = "0.1.42" async-trait = "0.1.51"
derive_more = "0.99.11" derive_more = "0.99.11"
futures = "0.3.12" futures = "0.3.12"
futures-timer = "3.0.2" futures-timer = "3.0.2"
...@@ -32,6 +32,6 @@ log = "0.4.13" ...@@ -32,6 +32,6 @@ log = "0.4.13"
[dev-dependencies] [dev-dependencies]
assert_matches = "1.4.0" assert_matches = "1.4.0"
async-trait = "0.1.42" async-trait = "0.1.51"
futures = { version = "0.3.12", features = ["thread-pool"] } futures = { version = "0.3.12", features = ["thread-pool"] }
polkadot-node-subsystem-test-helpers = { path = "../subsystem-test-helpers" } polkadot-node-subsystem-test-helpers = { path = "../subsystem-test-helpers" }
...@@ -6,7 +6,7 @@ edition = "2018" ...@@ -6,7 +6,7 @@ edition = "2018"
description = "Subsystem traits and message definitions" description = "Subsystem traits and message definitions"
[dependencies] [dependencies]
async-trait = "0.1.42" async-trait = "0.1.51"
futures = "0.3.15" futures = "0.3.15"
futures-timer = "3.0.2" futures-timer = "3.0.2"
itertools = "0.10" itertools = "0.10"
...@@ -36,7 +36,7 @@ substrate-prometheus-endpoint = { git = "https://github.com/paritytech/substrate ...@@ -36,7 +36,7 @@ substrate-prometheus-endpoint = { git = "https://github.com/paritytech/substrate
[dev-dependencies] [dev-dependencies]
assert_matches = "1.4.0" assert_matches = "1.4.0"
async-trait = "0.1.42" async-trait = "0.1.51"
env_logger = "0.9.0" env_logger = "0.9.0"
futures = { version = "0.3.15", features = ["thread-pool"] } futures = { version = "0.3.15", features = ["thread-pool"] }
log = "0.4.13" log = "0.4.13"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment